//------------------------------------------------------------------------------
// File: DSFilterEnum.h
//   Define CDSFilterEnum class
//------------------------------------------------------------------------------

#pragma once

#include <Windows.h>

class CDSFilterEnum
{
public:
	CDSFilterEnum(CLSID clsID, bool bDvbHack = 0);
	virtual ~CDSFilterEnum(void);

	HRESULT next(void);
	HRESULT getFilter(IBaseFilter** ppFilter);
	HRESULT getFriendlyName(wstring* pName);
	HRESULT getDisplayName(wstring* pName);

private:
	IEnumMoniker* m_pIEnumMoniker;
	ICreateDevEnum* m_pICreateDevEnum;
	IMoniker* m_pIMoniker;
	bool bDvbHack;
};
